MultiCS & CSP & OScam Exchange Forum

This is a sample guest message. Register a free account today to become a member! Once signed in, you'll be able to participate on this site by adding your own topics and posts, as well as connect with other members through your own private inbox!

java8



tommys

Moderator
Staff member
Moderator
Joined
Oct 17, 2012
Messages
1,066
Reaction score
467
Points
83
Location
Earth

alsa7er101

Member
Member
Joined
Aug 10, 2013
Messages
33
Reaction score
2
Points
8
sudo add-apt-repository ppa:eek:penjdk-r/ppa
sudo apt-get update
sudo apt-get install openjdk-8-jre
 

techno

Active Member
Member
Joined
Jan 11, 2015
Messages
123
Reaction score
32
Points
28
sudo add-apt-repository ppa:eek:penjdk-r/ppa
sudo apt-get update
sudo apt-get install openjdk-8-jre

/usr/local/csp# ./cardproxy.sh start
Starting CardServProxy: [ FAILED ]
Startup failed: Unsupported java vm 'OpenJDK 64-Bit Server VM', only the original sun vm has been tested with csp.

struggling with this, can anyone help please?


:/usr/local/csp# java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-8u212-b03-0ubuntu1.16.04.1-b03)
OpenJDK 64-Bit Server VM (build 25.212-b03, mixed mode)
 

mas3mass1

Active Member
Member
Joined
Aug 14, 2013
Messages
51
Reaction score
25
Points
43
apt-get update

sudo apt-get install software-properties-common

sudo add-apt-repository ppa:webupd8team/java

apt-get update

sudo apt-get install oracle-java8-installer
 

techno

Active Member
Member
Joined
Jan 11, 2015
Messages
123
Reaction score
32
Points
28
apt-get update

sudo apt-get install software-properties-common

sudo add-apt-repository ppa:webupd8team/java

apt-get update

sudo apt-get install oracle-java8-installer

above no longer works...

~# apt-get update
Ign Launchpad jessie InRelease
Ign Launchpad jessie Release.gpg
Ign Index of /debian jessie InRelease
Hit Index of /debian jessie Release.gpg
Ign Launchpad jessie Release
Hit Index of /debian jessie Release
Hit Index of /debian jessie/main amd64 Packages
Hit Debian -- Security Information jessie/updates InRelease
Hit Index of /debian jessie/main Translation-en
Err Launchpad jessie/main amd64 Packages
404 Not Found
Ign Launchpad jessie/main Translation-en_US
Ign Launchpad jessie/main Translation-en
Hit Debian -- Security Information jessie/updates/main amd64 Packages
Hit Debian -- Security Information jessie/updates/main Translation-en
W: Failed to fetch http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
[email protected]:~#
 

AntonioRocha

New Member
Member
Joined
Feb 9, 2015
Messages
3
Reaction score
0
Points
1
E: Package 'oracle-java8-installer' has no installation candidate
 

VpsLinux2

Active Member
Member
Joined
Jun 21, 2015
Messages
398
Reaction score
71
Points
28
ubuntu 16.04
Try this
1 sudo apt-get update

2 sudo apt-get install default-jre

3 sudo apt-get install default-jdk

4 sudo add-apt-repository ppa:webupd8team/java

sudo apt-get update

5 sudo apt-get install oracle-java8-installer
 

yasmine2016

New Member
Member
Joined
Nov 7, 2015
Messages
5
Reaction score
0
Points
1
Location
tunis
Try this
1 sudo apt-get update

2 sudo apt-get install default-jre

3 sudo apt-get install default-jdk

4 sudo add-apt-repository ppa:webupd8team/java

sudo apt-get update

5 sudo apt-get install oracle-java8-installer



E: Package 'oracle-java8-installer' has no installation candidate
 

ballesteros

Member
Member
Joined
Sep 1, 2015
Messages
46
Reaction score
14
Points
8
Location
EL MUNDO
The Oracle JDK License has changed for releases starting April 16, 2019.

For this reason, THIS PPA IS DISCONTINUED (unless I find some way around this limitation).

Oracle Java (JDK) Installer (automatically downloads and installs Oracle JDK8). There are no actual Java files in this PPA.

all the information in the link below


 

Nhelione

New Member
Member
Joined
Oct 30, 2017
Messages
2
Reaction score
1
Points
3
Location
Antananarivo
I suggest you to download the tar.gz file from Oracle website and install it manually.

Sent from my CLT-L29 using Tapatalk
 

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.



Top
AdBlock Detected

We get it, advertisements are annoying!

Sure, ad-blocking software does a great job at blocking ads, but it also blocks useful features of our website. For the best site experience please disable your AdBlocker.

I've Disabled AdBlock